> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn/yarn.iyarnvalue.md).

# IYarnValue

Interface in [Yarn](/api/csharp/yarn.md)

## Summary

Represents a read-only value in the Yarn Spinner virtual machine.

```csharp
public interface IYarnValue
```

## Methods

| Name                                                                         | Description                                                                   |
| ---------------------------------------------------------------------------- | ----------------------------------------------------------------------------- |
| [ConvertTo()](/api/csharp/yarn/yarn.iyarnvalue/yarn.iyarnvalue.convertto.md) | Converts this [IYarnValue](/api/csharp/yarn/yarn.iyarnvalue.md) to type `T` . |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn/yarn.iyarnvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
